OpenJPEG: dec_clientmsg_handler.c File Reference

OpenJPEG 2.5.0

Functions
dec_clientmsg_handler.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <limits.h>`
`#include "dec_clientmsg_handler.h"`
`#include "ihdrbox_manager.h"`
`#include "jpipstream_manager.h"`
`#include "jp2k_encoder.h"`
`#include "opj_inttypes.h"`

## Functions
void | handle_JPIPstreamMSG (SOCKET connected_socket, cachelist_param_t *cachelist, Byte_t **jpipstream, OPJ_SIZE_T *streamlen, msgqueue_param_t *msgqueue)
| handle JPT- JPP- stream message
void | handle_PNMreqMSG (SOCKET connected_socket, Byte_t *jpipstream, msgqueue_param_t *msgqueue, cachelist_param_t *cachelist)
| handle PNM request message
void | handle_XMLreqMSG (SOCKET connected_socket, Byte_t *jpipstream, cachelist_param_t *cachelist)
| handle XML request message
void | handle_TIDreqMSG (SOCKET connected_socket, cachelist_param_t *cachelist)
| handle TargetID request message
void | handle_CIDreqMSG (SOCKET connected_socket, cachelist_param_t *cachelist)
| handle ChannelID request message
void | handle_dstCIDreqMSG (SOCKET connected_socket, cachelist_param_t *cachelist)
| handle distroy ChannelID message
void | handle_SIZreqMSG (SOCKET connected_socket, Byte_t *jpipstream, msgqueue_param_t *msgqueue, cachelist_param_t *cachelist)
| handle SIZ request message
void | handle_JP2saveMSG (SOCKET connected_socket, cachelist_param_t *cachelist, msgqueue_param_t *msgqueue, Byte_t *jpipstream)
| handle saving JP2 file request message

## Function Documentation

## ◆ handle_CIDreqMSG()

void handle_CIDreqMSG | ( | SOCKET | connected_socket,
|  | cachelist_param_t * | cachelist
| ) |  |

handle ChannelID request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | cachelist | cache list pointer

References cache_param::cid, cache_param::numOfcid, opj_free(), receive_string(), search_cache(), and send_CIDstream().

Referenced by handle_clientreq().

## ◆ handle_dstCIDreqMSG()

void handle_dstCIDreqMSG | ( | SOCKET | connected_socket,
|  | cachelist_param_t * | cachelist
| ) |  |

handle distroy ChannelID message

Parameters

  [in] | connected_socket | socket descriptor
  [in,out] | cachelist | cache list pointer

References opj_free(), OPJ_TRUE, receive_string(), remove_cachecid(), and response_signal().

Referenced by handle_clientreq().

## ◆ handle_JP2saveMSG()

void handle_JP2saveMSG | ( | SOCKET | connected_socket,
|  | cachelist_param_t * | cachelist,
|  | msgqueue_param_t * | msgqueue,
|  | Byte_t * | jpipstream
| ) |  |

handle saving JP2 file request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | cachelist | cache list pointer
  [in] | msgqueue | message queue pointer
  [in] | jpipstream | address of caching jpipstream pointer

References cache_param::csn, opj_free(), receive_string(), recons_jp2(), save_codestream(), and search_cacheBycid().

Referenced by handle_clientreq().

## ◆ handle_JPIPstreamMSG()

void handle_JPIPstreamMSG | ( | SOCKET | connected_socket,
|  | cachelist_param_t * | cachelist,
|  | Byte_t ** | jpipstream,
|  | OPJ_SIZE_T * | streamlen,
|  | msgqueue_param_t * | msgqueue
| ) |  |

handle JPT- JPP- stream message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | cachelist | cache list pointer
  [in,out] | jpipstream | address of JPT- JPP- stream pointer
  [in,out] | streamlen | address of stream length
  [in,out] | msgqueue | message queue pointer

References add_cachecid(), message_param::csn, delete_metadatalist(), gene_cache(), gene_metadatalist(), insert_cache_into_list(), msgqueue_param::last, cache_param::metadatalist, opj_free(), OPJ_TRUE, parse_JPIPstream(), parse_metamsg(), receive_JPIPstream(), response_signal(), search_cache(), search_cacheBycsn(), update_cachetid(), and update_JPIPstream().

Referenced by handle_clientreq().

## ◆ handle_PNMreqMSG()

void handle_PNMreqMSG | ( | SOCKET | connected_socket,
|  | Byte_t * | jpipstream,
|  | msgqueue_param_t * | msgqueue,
|  | cachelist_param_t * | cachelist
| ) |  |

handle PNM request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | jpipstream | jpipstream pointer
  [in] | msgqueue | message queue pointer
  [in] | cachelist | cache list pointer

References ihdrbox_param::bpc, cache_param::csn, ihdrbox_param::height, jpipstream_to_pnm(), ihdrbox_param::nc, opj_free(), receive_line(), receive_string(), search_cacheBycid(), search_cacheBytid(), send_PNMstream(), and ihdrbox_param::width.

Referenced by handle_clientreq().

## ◆ handle_SIZreqMSG()

void handle_SIZreqMSG | ( | SOCKET | connected_socket,
|  | Byte_t * | jpipstream,
|  | msgqueue_param_t * | msgqueue,
|  | cachelist_param_t * | cachelist
| ) |  |

handle SIZ request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | jpipstream | address of caching jpipstream pointer
  [in] | msgqueue | message queue pointer
  [in,out] | cachelist | cache list pointer

References cache_param::csn, get_SIZ_from_jpipstream(), ihdrbox_param::height, cache_param::ihdrbox, opj_free(), receive_string(), search_cacheBycid(), search_cacheBytid(), send_SIZstream(), and ihdrbox_param::width.

Referenced by handle_clientreq().

## ◆ handle_TIDreqMSG()

void handle_TIDreqMSG | ( | SOCKET | connected_socket,
|  | cachelist_param_t * | cachelist
| ) |  |

handle TargetID request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | cachelist | cache list pointer

References opj_free(), receive_string(), search_cache(), send_TIDstream(), and cache_param::tid.

Referenced by handle_clientreq().

## ◆ handle_XMLreqMSG()

void handle_XMLreqMSG | ( | SOCKET | connected_socket,
|  | Byte_t * | jpipstream,
|  | cachelist_param_t * | cachelist
| ) |  |

handle XML request message

Parameters

  [in] | connected_socket | socket descriptor
  [in] | jpipstream | address of caching jpipstream pointer
  [in] | cachelist | cache list pointer

References metadata_param::boxcontents, metadatalist_param::last, boxcontents_param::length, cache_param::metadatalist, boxcontents_param::offset, opj_free(), opj_malloc(), receive_string(), search_cacheBycid(), and send_XMLstream().

Referenced by handle_clientreq().